## Table Name (table_name)

A table name (table_name) identifies a table.

### Syntax

<table_name> ::= [<schema_name>.]<identifier>

Neither the schema name nor the ID can be longer than 32 characters.

### Explanation

Tables and view tables are identified by table names. A table name consists of a schema name (schema_name) and an identifier (identifier).

All table identifiers in one schema must be different from one another.

The database system uses certain table names for internal purposes. The identifiers of these tables begin with SYS. To avoid naming conflicts, therefore, you should not use table names that start with SYS.

See also:

CREATE TABLE Statement

CREATE VIEW Statement

CREATE SYNONYM Statement

CREATE SCHEMA Statement

and other SQL statements for Data Definition